local rad = 0.3 -- wheels
local len = 0.12
local wf, wb, wz = 0.49, -0.839, -0.14 

streamer:addClass("../MotorBike",  extends(Bike) {
        name="MotorBike",
        gfxMesh="MotorBike/Body.mesh",
        colMesh="MotorBike/Body.tcol",
        steerMax = 25,
        steerRate = 0.4; unsteerRate = 0.7;
        steerFastSpeed = 60;
        steerRateFast = 0.02; unsteerRateFast = 0.8;

        maxLean = 25;
        fallTorque = 6000;

        powerPlots = {
                [-1] = { [0] = -400; [10] = -400; [30] = -300; [40] = 0; },
                [0] = {}, --neutral
                [1] = { [0]=400; [20]=400; [40]=470, [80]=520; [100]=570 ; [110]=620; [150]=600; }
        },       
        
        wheelInfo = {
                {pos=Vector3(0, wf, wz);
                 left=true; steer=1; drive=false; handbrake=false;
                 mesh="MotorBike/FrontWheel.mesh"; len=len; rad=rad;
                 mu = 0.5;
                 down = V_DOWN*Quat(25,V_RIGHT);
                 mass = 1.3; dampingFactor = 0.35
                },


                {pos=Vector3(0, wb, wz);
                 left=true; steer=0; drive=1; handbrake=true;
                 mesh="MotorBike/RearWheel.mesh"; len=len; rad=rad;
                 mu = 1.86;
                 mass = 1.0; dampingFactor = 0.3
                },
        },
}, {})


streamer:addClass("../MotorBikeChassis", ColClass, { gfxMesh="MotorBike/Body.mesh", colMesh="MotorBike/Body.tcol" })

material "Body" {
    diffuseColour = {1, .8, 0};
    specularColour = {.25, .25, .25};
    specularity = 12.5;
}
material "FrontWheel" { diffuseColour = 0xFF3F3F3F }
material "RearWheel" { diffuseColour = 0xFF3F3F3F }

-- vim: shiftwidth=8:tabstop=8:expandtab
